POST
https://api.applivery.io/v1/auth/register
curl -X POST "https://api.applivery.io/v1/auth/register" \
-H "Content-Type: application/json" \
-d '{
"email": "[email protected]",
"password": "string",
"firstName": "string",
"lastName": "string",
"newsletter": true,
"language": "es"
}'const response = await fetch("https://api.applivery.io/v1/auth/register", {
method: "POST",
headers: {
"Content-Type": "application/json",
},
body: JSON.stringify({
"email": "[email protected]",
"password": "string",
"firstName": "string",
"lastName": "string",
"newsletter": true,
"language": "es"
}),
});
const data = await response.json();import requests
response = requests.post(
"https://api.applivery.io/v1/auth/register",
json={
"email": "[email protected]",
"password": "string",
"firstName": "string",
"lastName": "string",
"newsletter": true,
"language": "es"
},
)
data = response.json()Request
Body Params
application/json
email
string
required
password
string
required
firstName
string
required
lastName
string
required
newsletter
boolean
required
language
string
optional
{
"email": "[email protected]",
"password": "string",
"firstName": "string",
"lastName": "string",
"newsletter": true,
"language": "es"
}
Responses
200 Response
application/json
status
boolean
optional
data
object
optional
done
boolean
optional
message
string
optional
{
"status": true,
"data": {
"done": true,
"message": "string"
}
}
400 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 5035,
"message": "Invalid email domain"
}
}
403 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4009,
"message": "The operation can not be completed at this time. If you already registered an account with this email address, try to log-in"
}
}